# Get company's information

`GET /company`

Retrieve the company's information (i.e. approval status, company name, etc.). Search by company ID or company name.

## Authentication

Send your API key in the `PINNACLE-API-Key` header.

## Parameters

- `companyId` — query, integer, optional. The unique identifier for the company
- `companyName` — query, string, optional. The name of the company

## Responses

### 200

Successfully retrieved company information

Content type: `application/json`. Schema: `Company[]`.

### 400

Bad request due to invalid parameters like missing company id or company name

Content type: `application/json`. Schema: `object`.

- `errors` — `string[]`, optional

Example:

```json
{
  "errors": [
    "Either companyName or companyId is required"
  ]
}
```

### 401

Unauthorized access due to invalid or missing API key

Content type: `application/json`. Schema: `object`.

- `errors` — `string[]`, optional

Example:

```json
{
  "errors": [
    "Unauthorized. Please reach out to founders@trypinnacle.app for an API key."
  ]
}
```

### 500

Error getting companies

Content type: `application/json`. Schema: `object`.

- `errors` — `string[]`, optional

Example:

```json
{
  "errors": [
    "Failed to get companies."
  ]
}
```

## Machine-readable schema

[OpenAPI 3.1 JSON](https://docs.pinnacle.sh/openapi.json)
